Replace obscure english use of "edition"

Bug #1778168 reported by Seth Hillbrand on 2018-06-22
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
KiCad
Low
Jeff Young

Bug Description

There was a discussion recently about what KiCad meant by the tooltip "useful after a manual pad netname edition". I assumed initially that this was a misspelling of "addition". However, in grepping through the source code, we use this term in a number of places to mean "edit".

A few places:
dialog_global_edit_tracks_and_vias_base.fbp: "Global Edition of Tracks and Vias"
tool_footprint_editor.cpp: "Undo last edition"

Bob Cousins (bobcousins42) wrote :

I don't think it is obscure, but just wrong. It seems to be a "faux amis" commonly used by ESL speakers. "an edition" refers to a publication of book or newspaper, for a document the word should be "an edit". Synonyms are "change" or "update".

Therefore

dialog_global_edit_tracks_and_vias_base.fbp: "Global Update of Tracks and Vias"
tool_footprint_editor.cpp: "Undo last edit"

"Edition" is not correct in this context and should be changed. I've
been changing them when I find them. "Edition" is defined as the
version in which a text is published[1]. It does not have anything to
do with editing. If you find any more uses of the term "edition", make
a note so we can fix them in 5.1.

[1]: https://www.merriam-webster.com/dictionary/edition

On 06/21/2018 11:01 PM, Seth Hillbrand wrote:
> Public bug reported:
>
> There was a discussion recently about what KiCad meant by the tooltip
> "useful after a manual pad netname edition". I assumed initially that
> this was a misspelling of "addition". However, in grepping through the
> source code, we use this term in a number of places to mean "edit".
>
> A few places:
> dialog_global_edit_tracks_and_vias_base.fbp: "Global Edition of Tracks and Vias"
> tool_footprint_editor.cpp: "Undo last edition"
>
> ** Affects: kicad
> Importance: Low
> Status: New
>

Jeff Young (jeyjey) wrote :

I believe all these are already fixed in my 6.0 dialog work.

Cheers,
Jeff.

> On 22 Jun 2018, at 08:23, Wayne Stambaugh <email address hidden> wrote:
>
> "Edition" is not correct in this context and should be changed. I've
> been changing them when I find them. "Edition" is defined as the
> version in which a text is published[1]. It does not have anything to
> do with editing. If you find any more uses of the term "edition", make
> a note so we can fix them in 5.1.
>
> [1]: https://www.merriam-webster.com/dictionary/edition
>
> On 06/21/2018 11:01 PM, Seth Hillbrand wrote:
>> Public bug reported:
>>
>> There was a discussion recently about what KiCad meant by the tooltip
>> "useful after a manual pad netname edition". I assumed initially that
>> this was a misspelling of "addition". However, in grepping through the
>> source code, we use this term in a number of places to mean "edit".
>>
>> A few places:
>> dialog_global_edit_tracks_and_vias_base.fbp: "Global Edition of Tracks and Vias"
>> tool_footprint_editor.cpp: "Undo last edition"
>>
>> ** Affects: kicad
>> Importance: Low
>> Status: New
>>
>
> --
> You received this bug notification because you are a member of KiCad Bug
> Squad, which is subscribed to KiCad.
> https://bugs.launchpad.net/bugs/1778168
>
> Title:
> Replace obscure english use of "edition"
>
> Status in KiCad:
> New
>
> Bug description:
> There was a discussion recently about what KiCad meant by the tooltip
> "useful after a manual pad netname edition". I assumed initially that
> this was a misspelling of "addition". However, in grepping through
> the source code, we use this term in a number of places to mean
> "edit".
>
> A few places:
> dialog_global_edit_tracks_and_vias_base.fbp: "Global Edition of Tracks and Vias"
> tool_footprint_editor.cpp: "Undo last edition"
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/kicad/+bug/1778168/+subscriptions

Jeff Young (jeyjey) wrote :

(That’s the 6.0 dialog work that’s currently slated to move to 5.1.)

> On 22 Jun 2018, at 09:12, Jeff Young <email address hidden> wrote:
>
> I believe all these are already fixed in my 6.0 dialog work.
>
> Cheers,
> Jeff.
>
>> On 22 Jun 2018, at 08:23, Wayne Stambaugh <email address hidden> wrote:
>>
>> "Edition" is not correct in this context and should be changed. I've
>> been changing them when I find them. "Edition" is defined as the
>> version in which a text is published[1]. It does not have anything to
>> do with editing. If you find any more uses of the term "edition", make
>> a note so we can fix them in 5.1.
>>
>> [1]: https://www.merriam-webster.com/dictionary/edition
>>
>> On 06/21/2018 11:01 PM, Seth Hillbrand wrote:
>>> Public bug reported:
>>>
>>> There was a discussion recently about what KiCad meant by the tooltip
>>> "useful after a manual pad netname edition". I assumed initially that
>>> this was a misspelling of "addition". However, in grepping through the
>>> source code, we use this term in a number of places to mean "edit".
>>>
>>> A few places:
>>> dialog_global_edit_tracks_and_vias_base.fbp: "Global Edition of Tracks and Vias"
>>> tool_footprint_editor.cpp: "Undo last edition"
>>>
>>> ** Affects: kicad
>>> Importance: Low
>>> Status: New
>>>
>>
>> --
>> You received this bug notification because you are a member of KiCad Bug
>> Squad, which is subscribed to KiCad.
>> https://bugs.launchpad.net/bugs/1778168
>>
>> Title:
>> Replace obscure english use of "edition"
>>
>> Status in KiCad:
>> New
>>
>> Bug description:
>> There was a discussion recently about what KiCad meant by the tooltip
>> "useful after a manual pad netname edition". I assumed initially that
>> this was a misspelling of "addition". However, in grepping through
>> the source code, we use this term in a number of places to mean
>> "edit".
>>
>> A few places:
>> dialog_global_edit_tracks_and_vias_base.fbp: "Global Edition of Tracks and Vias"
>> tool_footprint_editor.cpp: "Undo last edition"
>>
>> To manage notifications about this bug go to:
>> https://bugs.launchpad.net/kicad/+bug/1778168/+subscriptions
>

Jeff Young (jeyjey) on 2018-06-22
Changed in kicad:
assignee: nobody → Jeff Young (jeyjey)
status: New → In Progress
Jeff Young (jeyjey) wrote :

There were still a lot of occurrences in comments, so I fixed those as well.

Jeff Young (jeyjey) on 2018-06-23
Changed in kicad:
milestone: 6.0.0-rc1 → 5.1.0
Jeff Young (jeyjey) on 2018-07-17
Changed in kicad:
status: In Progress → Fix Committed
Changed in kicad:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers